#include <iterator>
#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int n=0;
vector <int> a;
int binarnapretraga( int x)
{
    int l = 0, d = a.size() - 1;
    int s;
    while (d >=l) {
        int s= (d + l) / 2;
        if (a[s]==x){
            return s;
        }
        if (a[s] < x)
            l = s + 1;
        else
            d = s-1;
    }
    if (s<n/2)
        return l;
    else return d+1;
}

int main()
{

    vector <int> b;
    vector<int>::iterator it;
    int  poz,br,q, x;
    cin>> n >> q;
    for (int i=0; i<n; i++){
        cin>>x;
        a.push_back(x);
    }
     for (int i=0; i<q; i++){
        cin>>x;
        b.push_back(x);
    }
    sort(a.begin(),a.end());

    for (int i=0; i<q; i++){
        poz=binarnapretraga(b[i]);

        if (2*poz==n && a[poz]==b[i]) br=0;
        else if (poz==n) br=n;
        else if (poz==0)
            { if (a[poz]!=b[i]) br=n+1;
             else br=n-1;}
        else if (a[poz]==b[i]){
            if (poz*2>=n) br=2*poz-n;
            else br=n-2*poz-1;  //
        }
        else if (poz*2>n)
            br=2*poz-n+1;
        else br=n-2*poz+1;

        cout<<br<<endl;
    }
    return 0;
}